Bug 1292698 - [abrt] dot2tex: dotparsing.py:26:<module>:ImportError: cannot import name _noncomma [NEEDINFO]
[abrt] dot2tex: dotparsing.py:26:<module>:ImportError: cannot import name _no...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dot2tex (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jim Radford
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e9c8c1ff1d8cd21e2e4a9a46ed2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 01:20 EST by Bruno Thomsen
Modified: 2016-12-20 12:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1130348
Environment:
Last Closed: 2016-12-20 12:08:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: needinfo? (radford)


Attachments (Terms of Use)

  None (edit)
Description Bruno Thomsen 2015-12-18 01:20:11 EST
+++ This bug was initially created as a clone of Bug #1130348 +++

Description of problem:
Running dot2tex with or without arguments causes the following stack trace:

Traceback (most recent call last):
  File "/usr/bin/dot2tex", line 2, in <module>
    from dot2tex.dot2tex import main
  File "/usr/lib/python2.7/site-packages/dot2tex/__init__.py", line 36, in <module>
    import dot2tex as d2t
  File "/usr/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 47, in <module>
    import dotparsing
  File "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py", line 26, in <module>
    from pyparsing import  (Literal, CaselessLiteral, Word, Upcase, OneOrMore, ZeroOrMore,
ImportError: cannot import name _noncomma

The only place _noncomma name can be found in dot2tex is this import statement,
so it's safe to remove _noncomma from it completely.
This import was removed in newer version anyway,
so updating to 2.9 would fix this problem as well.

Version-Release number of selected component:
dot2tex-2.8.7-9.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/dot2tex
executable:     /usr/bin/dot2tex
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1364

Truncated backtrace:
#1 <module> in /usr/lib/python2.7/site-packages/dot2tex/dotparsing.py:26
#2 <module> in /usr/lib/python2.7/site-packages/dot2tex/dot2tex.py:47
#3 <module> in /usr/lib/python2.7/site-packages/dot2tex/__init__.py:36
#4 <module> in /usr/bin/dot2tex:2

--- Additional comment from Oleg Girko on 2014-08-14 22:01:06 EDT ---



--- Additional comment from Oleg Girko on 2014-08-14 22:01:08 EDT ---



--- Additional comment from Oleg Girko on 2014-08-14 22:03:24 EDT ---

Removing _noncomma import from "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py" file makes dot2tex work and produce expected results.

--- Additional comment from Fedora End Of Life on 2015-05-29 08:38:18 EDT ---

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2015-06-29 18:04:25 EDT ---

Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Bruno Thomsen on 2015-12-17 10:00:35 EST ---

I have reproduced this issue with ptxdist on Fedora 23 so it's still a bug.

$ ptxdist make license-report
...
Traceback (most recent call last):
  File "/usr/bin/dot2tex", line 2, in <module>
    from dot2tex.dot2tex import main
  File "/usr/lib/python2.7/site-packages/dot2tex/__init__.py", line 36, in <module>
    import dot2tex as d2t
  File "/usr/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 47, in <module>
    import dotparsing
  File "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py", line 26, in <module>
    from pyparsing import  (Literal, CaselessLiteral, Word, Upcase, OneOrMore, ZeroOrMore,
ImportError: cannot import name _noncomma
...

$ cat /etc/os-release 
NAME=Fedora
VERSION="23 (Workstation Edition)"
ID=fedora
VERSION_ID=23
PRETTY_NAME="Fedora 23 (Workstation Edition)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:23"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=23
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=23
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Workstation Edition"
VARIANT_ID=workstation
Comment 1 Bruno Thomsen 2015-12-18 01:57:30 EST
The issue has been fixed in upstream repository:
https://github.com/nlhepler/pydot

Patch that fixes the issue:
https://github.com/nlhepler/pydot-py3/issues/1#issuecomment-21325809
Comment 2 Ankur Sinha (FranciscoD) 2016-06-05 10:07:37 EDT
+1. 

Looks like upstream has come up with a new repository which is both py2 and 3 compatible. He also suggests not using the existing source and will not maintain it in the future.


Could we please have a fix - more people have been reporting it on forums and so on.

https://github.com/nlhepler/pydot-py3/issues/1#issuecomment-55936376
Comment 3 Fedora End Of Life 2016-11-24 09:19:28 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:08:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.